Loads

List all loads of a given waste form

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
form-uidstringRequired

Unique identifier of the waste form

Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
chevron-right
200

Get successful

application/json
get
/wam/forms/{form-uid}/loads/
200

Get successful

Create a waste load

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
form-uidstringRequired

Unique identifier of the waste form

Body
descriptionstringOptional

Description of the waste load

Example: Waste description
weightnumber Β· floatOptional

Weight of the waste in kilograms

Example: 12500
quantitynumber Β· doubleOptional

Quantity of packages. This is required for hazardous waste.

Example: 10
eural_codestringOptional

The Eural code of the waste. If this eural code indicates a hazardous waste, it should be suffixed with a *.

Example: 02 01 01
physical_propertiesstringOptional

Physical properties of the waste load. This is required for hazardous waste.

Example: Flammable and reactive waste
chemical_compositionstringOptional

Chemical composition of the waste load. This is required for hazardous waste.

Example: Radioactive Materials
packaging_typestringOptional

Packaging type of the waste load. This is required for hazardous waste.

Example: Barrels
treatment_typestringOptional

Treatment type of the waste load. This is required for hazardous waste.

Example: Regeneration of acids or bases.
Responses
post
/wam/forms/{form-uid}/loads/
201

Create successful

Delete a load of a given waste form

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
form-uidstringRequired

Unique identifier of the waste form

uidstringRequired

Unique identifier of the waste load

Responses
delete
/wam/forms/{form-uid}/loads/{uid}/
204

Delete successful

No content

Read a load of a given waste form

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
form-uidstringRequired

Unique identifier of the waste form

uidstringRequired

Unique identifier of the waste load

Responses
chevron-right
200

Get successful

application/json
get
/wam/forms/{form-uid}/loads/{uid}/
200

Get successful

Update a load of a given waste form

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
form-uidstringRequired

Unique identifier of the waste form

uidstringRequired

Unique identifier of the waste load

Body
descriptionstringOptional

Description of the waste load

Example: Waste description
weightnumber Β· floatOptional

Weight of the waste in kilograms

Example: 12500
quantitynumber Β· doubleOptional

Quantity of packages. This is required for hazardous waste.

Example: 10
eural_codestringOptional

The Eural code of the waste. If this eural code indicates a hazardous waste, it should be suffixed with a *.

Example: 02 01 01
physical_propertiesstringOptional

Physical properties of the waste load. This is required for hazardous waste.

Example: Flammable and reactive waste
chemical_compositionstringOptional

Chemical composition of the waste load. This is required for hazardous waste.

Example: Radioactive Materials
packaging_typestringOptional

Packaging type of the waste load. This is required for hazardous waste.

Example: Barrels
treatment_typestringOptional

Treatment type of the waste load. This is required for hazardous waste.

Example: Regeneration of acids or bases.
Responses
chevron-right
200

Update successful

application/json
patch
/wam/forms/{form-uid}/loads/{uid}/
200

Update successful

Last updated

Was this helpful?